/* GOOGLE FONTS */
@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
/* VARIABLE CSS */
:root {
  --header-height: 3em;
  --font-semi: 600;
}
/* COLORS  */
:root {
  --first-color: #4070f4;
  --segond-color: #0e2431;
}
/* fonte et typographie */
:root {
  --body-font: "open";
  --big-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
}
@media screen and (min-width: 768px) {
  :root {
    --body-font: "open";
    --big-font-size: 3.5rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: 1rem;
  }
}
/* MARGES */
:root {
  --mb-1: 0.5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
}

/* z-index */
:root {
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
}
/* BASE */
*,
::before,
::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}
body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--segond-color);
}
h1,
h2,
p {
  margin: 0;
}
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
  display: block;
}
/* CSS CLASSES */
.section-title {
  position: relative;
  font-size: var(--h2-font-size);
  color: var(--first-color);
  margin-top: var(--mb-2);
  margin-bottom: var(--mb-4);
  text-align: center;
}
.section-title::after {
  position: absolute;
  content: "";
  width: 64px;
  height: 0.18rem;
  left: 0;
  right: 0;
  top: 2rem;
  margin: auto;
  background-color: var(--first-color);
}
.section {
  padding-top: 3rem;
  padding-bottom: 2rem;
}
/* LAYOUT */
.bd-grid {
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}
.l-header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(146, 161, 176, 0.15);
}
/* NAV */
nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: var(--font-semi);
}

@media screen and (max-width: 768px) {
  .nav_menu {
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 80%;
    height: 100%;
    padding: 2rem;
    background-color: var(--segond-color);
    transition: 0.5s;
  }
}
.nav_item {
  margin-bottom: var(--mb-4);
}
.nav_link {
  position: relative;
  color: #fff;
}
.nav_link:hover {
  position: relative;
}
.nav_link:hover::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.nav_logo {
  color: var(--segond-color);
}
.nav_toggle {
  color: var(--segond-color);
  font-size: 1.5rem;
  cursor: pointer;
  text-align: end;
}
.active::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.show {
  right: 0;
}
/* HOME */
.home {
  height: calc(100vh - 3rem);
  row-gap: 1rem;
}
.home_data {
  align-self: center;
}
.home_title {
  font-size: var(--big-font-size);
  margin-bottom: var(--mb-5);
}
.home_title-color {
  color: var(--first-color);
}
.home_social {
  display: flex;
  flex-direction: column;
}
.home_social-icon {
  width: max-content;
  margin-bottom: var(--mb-2);
  font-size: 1.5rem;
  color: var(--segond-color);
}
.home_social-icon:hover {
  color: var(--first-color);
}
.home_img {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 295px;
}

/* =======button======= */
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: 0.75rem 2.5rem;
  font-weight: var(--font-semi);
  border-radius: 0.5rem;
}
.button:hover {
  box-shadow: 0 10px 36px rgba(0, 0, 0, 0.15);
}
/* ======About======== */
.about_container {
  text-align: center;
  row-gap: 2rem;
}
.about_subtitle {
  margin-bottom: var(--mb-2);
}
.about_img {
  justify-self: center;
}
.about_img img {
  width: 200px;
  border-radius: 0.5rem;
}
/* ===Skills ==== */
.skills_container {
  row-gap: 2rem;
  text-align: center;
}
.skills_subtitle {
  margin-bottom: var(--mb-2);
}

.skills_text {
  margin-bottom: var(--mb-4);
}
.skills_data {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-weight: var(--font-semi);
  padding: 0.5rem 1rem;
  margin-bottom: var(--mb-4);
  border-radius: 0.5rem;
  box-shadow: 0 4px 25px rgba(14, 36, 49, 0.15);
}
.skills_icon {
  font-size: 2rem;
  color: var(--first-color);
}
.skills_names {
  display: flex;
  align-items: center;
}
.skills_bar {
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: var(--first-color);
  height: 0.25rem;
  border-radius: 0.5rem;
  z-index: var(--z-back);
}
.skills_html {
  width: 95%;
}
.skills_css {
  width: 85%;
}
.skills_javascript {
  width: 75%;
}
.skills_bootstrap {
  width: 80%;
}
.skills_img {
  margin: auto;
}
.skills_img img {
  border-radius: 0.5rem;
}
/* ===Work=== */
.work {
  text-align: center;
}
.work_container {
  margin-bottom: 2rem;
}
.work_img {
  margin-bottom: 1rem;
  box-shadow: 0 4px 25px rgba(14, 36, 49, 0.15);
  border-radius: 0.5rem;
  overflow: hidden;
}
.work_img img {
  transition: 1s;
  cursor: pointer;
}
.work_img img:hover {
  transform: scale(1.1);
}
/* =======contact======== */

.contact_input {
  width: 100%;
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  padding: 1rem;
  border-radius: 0.5rem;
  border: 1.5px solid var(--segond-color);
  outline: none;
  margin-bottom: var(--mb-4);
}
.contact_button {
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}
/* =======Footer========= */
.footer {
  background-color: var(--segond-color);
  color: #fff;
  text-align: center;
  font-weight: var(--font-semi);
  padding: 2rem 0;
}
.footer_title {
  font-size: 2rem;
  margin-bottom: var(--mb-4);
}
.footer_social {
  margin-bottom: var(--mb-4);
}
.footer_icon {
  font-size: 1.5rem;
  color: #fff;
  margin: 0 var(--mb-2);
}
/* =======media ============ */
@media screen and (min-width: 768px) {
  body {
    margin: 0;
  }
  .l-header{
      height: 80px;
  }
  .section {
    padding-top: 4rem;
    padding-bottom: 3rem;
  }
  .section-title {
    margin-bottom: var(--mb-6);
  }
  .section-title::after {
    width: 80px;
    top: 3rem;
  }
  nav {
    height: calc(var(--header-height) + 1rem);
  }
  .nav_list{
      display: flex;
      padding-top: 0;
      justify-content: center;
  }
  .nav_item{
      margin-left: var(--mb-6);
      margin-bottom: 0;
  }
  .nav_toggle{
      display: none;
  }
  .nav_link{
      color: var(--segond-color);
  }
  .home{
      height: 100vh;
  }
  .home_data{
      align-self: flex-end;
  }
  .home_social{
      padding-top: 0;
      padding-bottom: 2.5rem;
      flex-direction: row;
      align-self: flex-end;
  }
  .home_social-icon{
      margin-bottom: 0;
      margin-right: var(--mb-4);
  }
  .home_img{
      width: 457px;
      bottom: 15%;
  }
  .about_container ,.skills_container {
      grid-template-columns: repeat(2,1fr);
      align-items: center;
      text-align: initial;
      
  }
  .about_img img{
      width: 300px;
  }
  
  .work_container{
grid-template-columns: repeat(3,1fr);
grid-template-rows:repeat(2,1fr) ;
columns: gab 2rem; 
  }
  .contact_form{
      width: 360px;
  }
  .contact_container{
      justify-items: center;
  }
 
}
@media screen and (min-width: 1024px) {
    .bd-grid{
        margin-left: auto;
        margin-right: auto;
    }
    .home_img{
        right: 10%;
    }
}

